import { useState, useEffect } from 'react';

function Alert() {
  const [alertDone, setAlertDone] = useState(false);

  useEffect(function () {
    console.log('Uruchamianie zegara z alarmem');
    setTimeout(function () {
      console.log('Czas upłynął!');
      setAlertDone(true);
    }, 2000);
  }, []);

  return (
    <>
      {!alertDone && <p>Spokojnie, jeszcze masz czas!</p>}
      {alertDone && <p>Pora wstawać!</p>}
    </>
  );
}

export default Alert;
